$(document).ready(function () {

    $('body').on('change blur focus', '.party, .disblsrchparty', partyamtCal);

    function partyamtCal() {
        var party = $(".party").val();
        var vouchdt = $(".vouchdt").val();
       
        if (party != '') {
            $.post('get_partyamt.php', {party: party, vouchdt: vouchdt}, function (data) {
                $("#partyamt").text(data.mobal);
                $("#partyamt").trigger('change');


            }, 'json');
        }
    }


    var addflag = $(".addflag").val(),
            par = $(".par").val();
    if (addflag == 1) {
        $(".chqretn").hide();
        if (par == "A") {
//            $(".party").select2("open");
            $(".PartySrchTbl").show();
            $(".party").focus();
        }
    } else {
        $(".chqretn").show();
    }

    $('.srchparty').on('keydown', function (e) {
        var keyCode = e.keyCode || e.which;
        if (keyCode == 40) {
            $(".PTbody tr:visible:first").find(".disblsrchparty").focus();
            e.preventDefault();
            return false;
        }
    });


    $(".PartySrchTbl").hide();
    $('.srchparty').on('keyup', function (e) {
        var value = $(".srchparty").val().toLowerCase();
        $(".PartySrchTbl").show();
        $(".PTbody tr").filter(function () {

            var tr = $(this).closest("tr");
            if (tr.find(".disblsrchparty").val().toLowerCase().substr(0, value.length) == value.substr(0, value.length)) {
                tr.show();
            } else {
                tr.hide();
            }

        });

    });

    $('.PartySrchTbl input').on('keydown', function (e) {

        var keyCode = e.keyCode || e.which;
        if (keyCode == 40) {
//            $(this).closest("tr").next("tr").find('.disblsrchparty').focus();
//            $(this).closest("tr").nextUntil("tr:visible").find('.disblsrchparty').focus();
            $(this).closest("tr").nextAll().filter(":visible:first").find('.disblsrchparty').focus();
            e.preventDefault();
            return false;
        }

        if (keyCode == 38) {
//            $(this).closest("tr").prev("tr").find('.disblsrchparty').focus();
            $(this).closest("tr").prevAll().filter(":visible:first").find('.disblsrchparty').focus();
            e.preventDefault();
            return false;
        }

        if (keyCode == 13) {
            var tr = $(this).closest("tr"),
                    partyname = tr.find(".disblsrchparty").val();
            $(".PartySrchTbl").hide();

            $(".party").val(partyname);
            e.preventDefault();
            return false;
        }

        if (keyCode != 13 || keyCode != 18 || keyCode != 38) {
            e.preventDefault();
            return false;
        }
    });
    $(".disblsrchparty").click(function () {
        var tr = $(this).closest("tr"),
                partyname = tr.find(".disblsrchparty").val();
        $(".PartySrchTbl").hide();

        $(".party").val(partyname);
//            e.preventDefault();
//            return false;
    });
});